GET V1/PaymentsReconcile.{ext}/ApproveStopPayments?pageIndex={pageIndex}&pageSize={pageSize}

Will get all the Payment files for which Stop Payment has beed initiated (SP Initiated).
Mandatory Fields : N/A
Optional Fields : StopPayment,pageIndex,pageSize

Request Information

URI Parameters

NameDescriptionTypeAdditional information
pageIndex

No description available

integer

Default value is 0

pageSize

No description available

integer

Default value is 0

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

None.

Response Information

Resource Description

Stop Payment Files for Approve or Reject

EMSResponseOfEMS.Payments.Entities.StopPayments
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Payments.Entities.StopPayments

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "StopPayments",
  "response": {
    "stopPaymentList": [
      {
        "paymentFileId": 1,
        "paymentFileDetailId": 1,
        "paymentFileName": "sample string 1",
        "pfTransactionId": "sample string 2",
        "checkNumber": "sample string 3",
        "paymentCurrency": "sample string 4",
        "product": "sample string 5",
        "client": "sample string 6",
        "fundingStatementName": "sample string 7",
        "vendorName": "sample string 8",
        "accountNumber": "sample string 9",
        "paymentMethod": "sample string 10",
        "transactionId": "sample string 11",
        "dueDate": "sample string 12",
        "settlementDate": "sample string 13",
        "payByAmount": "sample string 14",
        "documentId": "sample string 15",
        "stopPaymentStatus": "sample string 16",
        "month": 1,
        "year": 1,
        "pfStopPaymentId": 1
      },
      {
        "paymentFileId": 1,
        "paymentFileDetailId": 1,
        "paymentFileName": "sample string 1",
        "pfTransactionId": "sample string 2",
        "checkNumber": "sample string 3",
        "paymentCurrency": "sample string 4",
        "product": "sample string 5",
        "client": "sample string 6",
        "fundingStatementName": "sample string 7",
        "vendorName": "sample string 8",
        "accountNumber": "sample string 9",
        "paymentMethod": "sample string 10",
        "transactionId": "sample string 11",
        "dueDate": "sample string 12",
        "settlementDate": "sample string 13",
        "payByAmount": "sample string 14",
        "documentId": "sample string 15",
        "stopPaymentStatus": "sample string 16",
        "month": 1,
        "year": 1,
        "pfStopPaymentId": 1
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.